#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './specialfiletypes.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "specialfiletypes.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SpecialFileTypes as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SpecialFileTypes::SpecialFileTypes( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SpecialFileTypes" );
    SpecialFileTypesLayout = new QGridLayout( this, 1, 1, 11, 6, "SpecialFileTypesLayout"); 

    Special_File_Types = new QGroupBox( this, "Special_File_Types" );

    QWidget* privateLayoutWidget = new QWidget( Special_File_Types, "layout9" );
    privateLayoutWidget->setGeometry( QRect( 20, 30, 330, 210 ) );
    layout9 = new QGridLayout( privateLayoutWidget, 1, 1, 11, 6, "layout9"); 

    kcfg_VirusEncrypted = new QCheckBox( privateLayoutWidget, "kcfg_VirusEncrypted" );
    kcfg_VirusEncrypted->setPaletteForegroundColor( QColor( 255, 0, 0 ) );

    layout9->addWidget( kcfg_VirusEncrypted, 6, 0 );

    kcfg_VirusBroken = new QCheckBox( privateLayoutWidget, "kcfg_VirusBroken" );
    kcfg_VirusBroken->setPaletteForegroundColor( QColor( 255, 0, 0 ) );

    layout9->addWidget( kcfg_VirusBroken, 5, 0 );

    kcfg_ExcludeQuarantine = new QCheckBox( privateLayoutWidget, "kcfg_ExcludeQuarantine" );

    layout9->addWidget( kcfg_ExcludeQuarantine, 4, 0 );

    kcfg_ScanMacros = new QCheckBox( privateLayoutWidget, "kcfg_ScanMacros" );

    layout9->addWidget( kcfg_ScanMacros, 3, 0 );

    kcfg_ScanPE = new QCheckBox( privateLayoutWidget, "kcfg_ScanPE" );

    layout9->addWidget( kcfg_ScanPE, 1, 0 );

    kcfg_ScanMail = new QCheckBox( privateLayoutWidget, "kcfg_ScanMail" );

    layout9->addWidget( kcfg_ScanMail, 0, 0 );

    kcfg_ScanHTML = new QCheckBox( privateLayoutWidget, "kcfg_ScanHTML" );

    layout9->addWidget( kcfg_ScanHTML, 2, 0 );

    SpecialFileTypesLayout->addWidget( Special_File_Types, 0, 0 );
    spacer3 = new QSpacerItem( 20, 111, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SpecialFileTypesLayout->addItem( spacer3, 1, 0 );
    languageChange();
    resize( QSize(399, 385).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SpecialFileTypes::~SpecialFileTypes()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SpecialFileTypes::languageChange()
{
    setCaption( tr2i18n( "Special File Types" ) );
    Special_File_Types->setTitle( tr2i18n( "Special File Types" ) );
    kcfg_VirusEncrypted->setText( tr2i18n( "Mark Encr&ypted Files as Suspicious" ) );
    kcfg_VirusEncrypted->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    kcfg_VirusBroken->setText( tr2i18n( "Treat &a Broken Executable as a Virus" ) );
    kcfg_VirusBroken->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    kcfg_ExcludeQuarantine->setText( tr2i18n( "Exclude &Quarantine Directory" ) );
    kcfg_ExcludeQuarantine->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    kcfg_ScanMacros->setText( tr2i18n( "&Scan the Macros in Microsoft Office Files" ) );
    kcfg_ScanMacros->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    kcfg_ScanPE->setText( tr2i18n( "Scan 'Portable E&xecutable' Files" ) );
    kcfg_ScanPE->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    kcfg_ScanMail->setText( tr2i18n( "Scan Files Containin&g E-Mail(s)" ) );
    kcfg_ScanMail->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    kcfg_ScanHTML->setText( tr2i18n( "Scan &HTML Files for Exploits" ) );
    kcfg_ScanHTML->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
}

#include "specialfiletypes.moc"
