#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './archivelimits.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "archivelimits.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ArchiveLimits as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArchiveLimits::ArchiveLimits( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ArchiveLimits" );

    LimitsGroup = new QGroupBox( this, "LimitsGroup" );
    LimitsGroup->setGeometry( QRect( 11, 11, 366, 230 ) );

    QWidget* privateLayoutWidget = new QWidget( LimitsGroup, "layout35" );
    privateLayoutWidget->setGeometry( QRect( 11, 34, 350, 160 ) );
    layout35 = new QGridLayout( privateLayoutWidget, 1, 1, 11, 6, "layout35"); 

    layout34 = new QGridLayout( 0, 1, 1, 0, 6, "layout34"); 

    MaxFilesExt = new QLabel( privateLayoutWidget, "MaxFilesExt" );

    layout34->addWidget( MaxFilesExt, 0, 0 );
    spacer21 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout34->addItem( spacer21, 0, 1 );
    spacer21_3 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout34->addItem( spacer21_3, 2, 1 );
    spacer21_4 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout34->addItem( spacer21_4, 3, 1 );

    MaxLevRecur = new QLabel( privateLayoutWidget, "MaxLevRecur" );

    layout34->addWidget( MaxLevRecur, 2, 0 );

    kcfg_MaxScanSize = new QSpinBox( privateLayoutWidget, "kcfg_MaxScanSize" );
    kcfg_MaxScanSize->setMaxValue( 9999 );

    layout34->addWidget( kcfg_MaxScanSize, 3, 2 );

    MaxMBsEx = new QLabel( privateLayoutWidget, "MaxMBsEx" );

    layout34->addWidget( MaxMBsEx, 1, 0 );
    spacer21_2 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout34->addItem( spacer21_2, 1, 1 );

    kcfg_MaxFileSize = new QSpinBox( privateLayoutWidget, "kcfg_MaxFileSize" );
    kcfg_MaxFileSize->setMaxValue( 9999 );

    layout34->addWidget( kcfg_MaxFileSize, 1, 2 );

    kcfg_NoFilesToExtract = new QSpinBox( privateLayoutWidget, "kcfg_NoFilesToExtract" );
    kcfg_NoFilesToExtract->setMaxValue( 9999 );

    layout34->addWidget( kcfg_NoFilesToExtract, 0, 2 );

    kcfg_RecursionLevel = new QSpinBox( privateLayoutWidget, "kcfg_RecursionLevel" );
    kcfg_RecursionLevel->setMaxValue( 9999 );

    layout34->addWidget( kcfg_RecursionLevel, 2, 2 );

    MaxCompRatio = new QLabel( privateLayoutWidget, "MaxCompRatio" );

    layout34->addWidget( MaxCompRatio, 3, 0 );

    layout35->addLayout( layout34, 0, 0 );
    languageChange();
    resize( QSize(388, 377).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArchiveLimits::~ArchiveLimits()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArchiveLimits::languageChange()
{
    setCaption( tr2i18n( "Archive Limits" ) );
    LimitsGroup->setTitle( tr2i18n( "Archive Limits" ) );
    MaxFilesExt->setText( tr2i18n( "Maximum Number of Files to Extract" ) );
    MaxLevRecur->setText( tr2i18n( "Maximum Level of Recursion" ) );
    kcfg_MaxScanSize->setSpecialValueText( tr2i18n( "Default" ) );
    MaxMBsEx->setText( tr2i18n( "Maximum MBs to Extract" ) );
    kcfg_MaxFileSize->setSpecialValueText( tr2i18n( "Default" ) );
    kcfg_NoFilesToExtract->setSpecialValueText( tr2i18n( "Default" ) );
    kcfg_RecursionLevel->setSpecialValueText( tr2i18n( "Default" ) );
    MaxCompRatio->setText( tr2i18n( "Maximum MBs of Files to Scan" ) );
}

#include "archivelimits.moc"
