#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './archivetypes.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "archivetypes.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurlrequester.h"
#include "kcombobox.h"
#include "kpushbutton.h"

/*
 *  Constructs a ArchiveTypes as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArchiveTypes::ArchiveTypes( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ArchiveTypes" );
    ArchiveTypesLayout = new QHBoxLayout( this, 11, 6, "ArchiveTypesLayout"); 

    Archive_Types = new QGroupBox( this, "Archive_Types" );

    QWidget* privateLayoutWidget = new QWidget( Archive_Types, "layout8" );
    privateLayoutWidget->setGeometry( QRect( 20, 30, 330, 284 ) );
    layout8 = new QGridLayout( privateLayoutWidget, 1, 1, 11, 6, "layout8"); 

    kcfg_ScanDeb = new QCheckBox( privateLayoutWidget, "kcfg_ScanDeb" );

    layout8->addWidget( kcfg_ScanDeb, 6, 0 );

    kcfg_ScanJar = new QCheckBox( privateLayoutWidget, "kcfg_ScanJar" );

    layout8->addWidget( kcfg_ScanJar, 5, 0 );

    kcfg_ScanTar = new QCheckBox( privateLayoutWidget, "kcfg_ScanTar" );

    layout8->addWidget( kcfg_ScanTar, 7, 0 );

    kcfg_ScanLzh = new QCheckBox( privateLayoutWidget, "kcfg_ScanLzh" );

    layout8->addWidget( kcfg_ScanLzh, 4, 0 );

    kcfg_TarUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_TarUsing" );

    layout8->addWidget( kcfg_TarUsing, 7, 1 );

    kcfg_ScanZoo = new QCheckBox( privateLayoutWidget, "kcfg_ScanZoo" );

    layout8->addWidget( kcfg_ScanZoo, 3, 0 );

    kcfg_ZooUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_ZooUsing" );

    layout8->addWidget( kcfg_ZooUsing, 3, 1 );

    kcfg_LzhUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_LzhUsing" );

    layout8->addWidget( kcfg_LzhUsing, 4, 1 );

    kcfg_ZipUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_ZipUsing" );

    layout8->addWidget( kcfg_ZipUsing, 0, 1 );

    kcfg_ScanRar = new QCheckBox( privateLayoutWidget, "kcfg_ScanRar" );

    layout8->addWidget( kcfg_ScanRar, 1, 0 );

    kcfg_ScanZip = new QCheckBox( privateLayoutWidget, "kcfg_ScanZip" );

    layout8->addWidget( kcfg_ScanZip, 0, 0 );

    kcfg_JarUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_JarUsing" );

    layout8->addWidget( kcfg_JarUsing, 5, 1 );

    kcfg_RarUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_RarUsing" );

    layout8->addWidget( kcfg_RarUsing, 1, 1 );

    kcfg_DebUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_DebUsing" );

    layout8->addWidget( kcfg_DebUsing, 6, 1 );

    kcfg_TgzUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_TgzUsing" );

    layout8->addWidget( kcfg_TgzUsing, 8, 1 );

    kcfg_ScanTgz = new QCheckBox( privateLayoutWidget, "kcfg_ScanTgz" );

    layout8->addWidget( kcfg_ScanTgz, 8, 0 );

    kcfg_ArjUsing = new KURLComboRequester( privateLayoutWidget, "kcfg_ArjUsing" );

    layout8->addWidget( kcfg_ArjUsing, 2, 1 );

    kcfg_ScanArj = new QCheckBox( privateLayoutWidget, "kcfg_ScanArj" );

    layout8->addWidget( kcfg_ScanArj, 2, 0 );
    ArchiveTypesLayout->addWidget( Archive_Types );
    languageChange();
    resize( QSize(399, 385).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArchiveTypes::~ArchiveTypes()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArchiveTypes::languageChange()
{
    setCaption( tr2i18n( "Archive Limits" ) );
    Archive_Types->setTitle( tr2i18n( "Archive Types" ) );
    kcfg_ScanDeb->setText( tr2i18n( "Scan Deb files using" ) );
    kcfg_ScanDeb->setAccel( QKeySequence( QString::null ) );
    kcfg_ScanJar->setText( tr2i18n( "Scan Jar files using" ) );
    kcfg_ScanJar->setAccel( QKeySequence( QString::null ) );
    kcfg_ScanTar->setText( tr2i18n( "Scan Tar files using" ) );
    kcfg_ScanTar->setAccel( QKeySequence( QString::null ) );
    kcfg_ScanLzh->setText( tr2i18n( "Scan Lzh files using" ) );
    kcfg_ScanLzh->setAccel( QKeySequence( QString::null ) );
    kcfg_ScanZoo->setText( tr2i18n( "Scan Zoo files using" ) );
    kcfg_ScanZoo->setAccel( QKeySequence( QString::null ) );
    kcfg_ScanRar->setText( tr2i18n( "Scan Rar files using" ) );
    kcfg_ScanRar->setAccel( QKeySequence( QString::null ) );
    kcfg_ScanZip->setText( tr2i18n( "Scan &Zip files using" ) );
    kcfg_ScanZip->setAccel( QKeySequence( tr2i18n( "Alt+Z" ) ) );
    kcfg_ScanTgz->setText( tr2i18n( "Scan Tgz files using" ) );
    kcfg_ScanTgz->setAccel( QKeySequence( QString::null ) );
    kcfg_ScanArj->setText( tr2i18n( "Scan Arj files using" ) );
    kcfg_ScanArj->setAccel( QKeySequence( QString::null ) );
}

#include "archivetypes.moc"
