#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './firstrunwizard.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "firstrunwizard.h"

#include <qvariant.h>
#include <qwidget.h>
#include <kactivelabel.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kactivelabel.h"
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"
#include "./firstrunwizard.ui.h"

/*
 *  Constructs a FirstRunWizard as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The wizard will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal wizard.
 */
FirstRunWizard::FirstRunWizard( QWidget* parent, const char* name, bool modal, WFlags fl )
    : KWizard( parent, name, modal, fl )
{
    if ( !name )
	setName( "FirstRunWizard" );

    WizardPage = new QWidget( this, "WizardPage" );
    WizardPageLayout = new QGridLayout( WizardPage, 1, 1, 11, 6, "WizardPageLayout"); 

    text1 = new KActiveLabel( WizardPage, "text1" );

    WizardPageLayout->addWidget( text1, 0, 0 );

    preview = new QLabel( WizardPage, "preview" );
    preview->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)4, 0, 0, preview->sizePolicy().hasHeightForWidth() ) );
    preview->setFrameShape( QLabel::GroupBoxPanel );
    preview->setScaledContents( FALSE );

    WizardPageLayout->addWidget( preview, 0, 2 );
    spacer3_2 = new QSpacerItem( 21, 320, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WizardPageLayout->addItem( spacer3_2, 0, 1 );
    addPage( WizardPage, QString("") );

    WizardPage_1 = new QWidget( this, "WizardPage_1" );

    ClamBanner = new KActiveLabel( WizardPage_1, "ClamBanner" );
    ClamBanner->setGeometry( QRect( 514, 19, 260, 70 ) );

    CheckForDatabaseUpdates = new QCheckBox( WizardPage_1, "CheckForDatabaseUpdates" );
    CheckForDatabaseUpdates->setGeometry( QRect( 16, 300, 430, 30 ) );
    CheckForDatabaseUpdates->setChecked( TRUE );

    CheckForClamAVUpdates = new QCheckBox( WizardPage_1, "CheckForClamAVUpdates" );
    CheckForClamAVUpdates->setGeometry( QRect( 466, 300, 340, 30 ) );
    CheckForClamAVUpdates->setChecked( FALSE );

    groupBox1 = new QGroupBox( WizardPage_1, "groupBox1" );
    groupBox1->setGeometry( QRect( 12, 150, 740, 120 ) );

    DatabaseLocation = new KURLRequester( groupBox1, "DatabaseLocation" );
    DatabaseLocation->setGeometry( QRect( 250, 31, 480, 31 ) );
    DatabaseLocation->setMode( 6 );

    QuarantineLocation = new KURLRequester( groupBox1, "QuarantineLocation" );
    QuarantineLocation->setGeometry( QRect( 250, 70, 480, 26 ) );
    QuarantineLocation->setMode( 6 );

    textLabel1 = new QLabel( groupBox1, "textLabel1" );
    textLabel1->setGeometry( QRect( 11, 31, 230, 26 ) );

    textLabel1_2 = new QLabel( groupBox1, "textLabel1_2" );
    textLabel1_2->setGeometry( QRect( 10, 70, 230, 26 ) );

    text2 = new KActiveLabel( WizardPage_1, "text2" );
    text2->setGeometry( QRect( 15, 15, 405, 110 ) );
    text2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, text2->sizePolicy().hasHeightForWidth() ) );
    text2->setResizePolicy( KActiveLabel::Manual );
    text2->setWrapPolicy( KActiveLabel::AtWordBoundary );
    addPage( WizardPage_1, QString("") );
    languageChange();
    resize( QSize(830, 443).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
FirstRunWizard::~FirstRunWizard()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FirstRunWizard::languageChange()
{
    setCaption( tr2i18n( "First-Run Wizard" ) );
    text1->setText( tr2i18n( "<h1>Welcome to KlamAV!</h1>\n"
"<p>KlamAV aims to be easy and intuitive to use. Before you can get started though, you need to tell it where you want to store a couple of things.</p>\n"
"<p align=\"right\"><i>\"KlamAV is beta software!\"</i> - The Author</p>\n"
"<h2>What is ClamAV?</h2>\n"
"<p>ClamAV is signature-based virus and malware detection software with a world-class updates infrastructure and a rapid development cycle.</p>\n"
"<h2>What is KlamAV?</h2>\n"
"<p>KlamAV is an anti-virus manager for the KDE desktop that allows you to manage your virus-scanning, scheduling, virus research and software/database updates. In other words, it's a front-end.</p>\n"
"<p>\n"
"<p>This wizard will help you setup KlamAV in one simple step. Click <i>Next</i> to begin, or if you do not like wizards, click <i>Skip</i>.</p>\n"
"\n"
"" ) );
    setTitle( WizardPage, QString::null );
    CheckForDatabaseUpdates->setText( tr2i18n( "Check for &updates to the signature database now." ) );
    CheckForDatabaseUpdates->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    CheckForClamAVUpdates->setText( tr2i18n( "Check for updates &to ClamAV now." ) );
    CheckForClamAVUpdates->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    groupBox1->setTitle( tr2i18n( "Locations" ) );
    textLabel1->setText( tr2i18n( "Signature Database Location:" ) );
    textLabel1_2->setText( tr2i18n( "Quarantine Location:" ) );
    text2->setText( tr2i18n( "<p>KlamAV needs to know two things to get started: where you want to store your quarantine and where you want to store your signature database!.</p>\n"
"<p>You can change these settings at a later time using the configuration dialog.</p>" ) );
    setTitle( WizardPage_1, tr2i18n( "Storage Locations (1 of 1)" ) );
}

#include "firstrunwizard.moc"
